package at.qe.txture.converter

import org.eclipse.xtext.common.services.DefaultTerminalConverters
import org.eclipse.xtext.conversion.IValueConverter
import org.eclipse.xtext.conversion.ValueConverter
import java.net.URL

public class ValueConverters extends DefaultTerminalConverters {
	
	@ValueConverter(rule = "FloatingPoint")
	public def IValueConverter<Float> FloatingPoint(){
		return new FloatValueConverter();
	}
	
	@ValueConverter(rule = "URLRule")
	public def IValueConverter<URL> URLRule(){
		return new URLValueConverter();
	}
}